package com.red.circle.other.infra.database.mongo.service.sys;

import com.red.circle.other.infra.database.mongo.entity.sys.CustomerServiceConfig;
import java.util.List;

/**
 * 客服配置.
 *
 * @author pengshigang on 2022/10/08
 */
public interface CustomerServiceConfigService {

  /**
   * 添加.
   */
  void add(CustomerServiceConfig config);

  /**
   * 修改.
   */
  void updateById(CustomerServiceConfig config);

  /**
   * 删除.
   */
  void deleteById(Long id);

  /**
   * 获得列表.
   */
  List<CustomerServiceConfig> list(String sysOrigin, String region);

  /**
   * 根据对应语言的时间段查询对应的客服；如没有对应区域则拿其他.
   */
  CustomerServiceConfig getByTimeSlot(String sysOrigin, String region);

}
